Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 224378 - Patch for: Add quicksearch for projects
Patch for: Add quicksearch for projects
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Quick Search
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@platform
: NETFIX, PATCH_AVAILABLE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 12:04 UTC by markiewb
Modified: 2013-07-12 22:33 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch (6.73 KB, patch)
2013-01-02 12:18 UTC, markiewb
Details | Diff
Patch in action (31.50 KB, image/png)
2013-01-02 12:18 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-01-02 12:04:16 UTC
Add a quicksearch provider to search for open project. It should search for the project name.

FYI this issue is an isolated spin-off from http://netbeans.org/bugzilla/show_bug.cgi?id=137287 "[QuickSearch] Allow to use quicksearch for opening projects and files"
Comment 1 markiewb 2013-01-02 12:18:20 UTC
Created attachment 129814 [details]
Patch

I like to propose the following patch. 

It adds a quicksearch provider which iterates over all project names. It uses the non-exported ProjectUtilities class, so i could not create a 3rd-party plugin. 

@NetBeans-Devs: Please review, discuss and commit. Thank you.
Comment 2 markiewb 2013-01-02 12:18:47 UTC
Created attachment 129815 [details]
Patch in action
Comment 3 markiewb 2013-01-03 20:08:53 UTC
Advise from Jaroslav:


Dne St 2. ledna 2013 13:30:47, Benno Markiewicz napsal(a):
> [Resolved] Thank you for your time and help.
>
> It was an experiment to create a 3rd-party module for
> http://netbeans.org/bugzilla/show_bug.cgi?id=224378.
> Because I cannot access the org.netbeans.modules.project.ui.ProjectUtilities
> from my own module, I decided to propose a patch for "projectui". See the
> link above for the patch, if interested.

Another option (that does not make projectui dependencies heavier) would be to
add method select(Project p) into
http://bits.netbeans.org/dev/javadoc/org-netbeans-modules-
projectuiapi/org/netbeans/api/project/ui/OpenProjects.html
and keep the integration in own module.
Comment 4 Jaroslav Havlin 2013-03-11 14:18:32 UTC
(In reply to comment #3)
> Another option (that does not make projectui dependencies heavier) would be to
> add method select(Project p) into
> http://bits.netbeans.org/dev/javadoc/org-netbeans-modules-
> projectuiapi/org/netbeans/api/project/ui/OpenProjects.html
> and keep the integration in own module.
The API change seems reasonable to me. Milos, can you please evaluate the options?  Thanks.
Comment 5 Milos Kleint 2013-03-11 14:49:18 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Another option (that does not make projectui dependencies heavier) would be to
> > add method select(Project p) into
> > http://bits.netbeans.org/dev/javadoc/org-netbeans-modules-
> > projectuiapi/org/netbeans/api/project/ui/OpenProjects.html
> > and keep the integration in own module.
> The API change seems reasonable to me. Milos, can you please evaluate the
> options?  Thanks.

I'd rather keep the selection out of the API.

So I suggest we integrate it as part of projectui module.
Comment 6 Jaroslav Havlin 2013-03-11 17:27:27 UTC
(In reply to comment #5)
> > Milos, can you please evaluate the options?
> I'd rather keep the selection out of the API.
> So I suggest we integrate it as part of projectui module.
OK, it's fine by me. Thank you.
Comment 7 Jaroslav Havlin 2013-03-25 14:34:55 UTC
Integrated as http://hg.netbeans.org/core-main/rev/246f4a6a1fab
Thank you for providing the patch, Benno.
Comment 8 markiewb 2013-07-12 22:33:12 UTC
Verified in 201307011244


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo